Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## pipe.modules.gspn
Class GSPNNew

    java.lang.Object
      pipe.modules.classification.Classification
          pipe.modules.gspn.GSPN
              pipe.modules.gspn.GSPNNew

All Implemented Interfaces:
  Module

    public class GSPNNew

extends GSPN
implements Module

Field Summary

Fields inherited from class pipe.modules.gspn.GSPN
`results, sourceFilePanel`

Constructor Summary
`GSPNNew()`

Method Summary
`protected double[]` | `averageTokens(double[] pi, StateList states)` averageTokens() Determines the average number of tokens on each place at steady state.
`protected double[]` | `getFastTransitionThroughput(DataLayer pnmldata, StateList list, double[] pi)`
`java.lang.String` | `getName()`
`protected java.lang.String` | `renderAverages(DataLayer pnmldata, double[] data)` renderAverages() Turns the array containing the average number of tokens on a place into a table in the form of a long string with embedded HTML ready for display.
`protected java.lang.String` | `renderProbabilityDensity(Place[] places, double[][] probabilities)`
`void` | `run(DataLayer pnmlData)`
`protected double[][]` | `tokenDistribution(double[] pi, StateList states)` tokenDistribution() Calculates the steady state probability of there being n tokens at place p

Methods inherited from class pipe.modules.gspn.GSPN
`getReachabilitySet, getTangibleTransitionEnabledStatusArray, getTransitionEnabledStatus, getTransitionEnabledStatusArray, hasImmediateTransitions, hasTimedTransitions, isTangibleState, reduction, renderLists, renderLists, renderProbabilities, renderStateSpace, renderStateSpaceLinked, renderThroughput, testEqualConflict`

Methods inherited from class pipe.modules.classification.Classification
`extendedFreeChoiceNet, extendedSimpleNet, freeChoiceNet, intersectionBetweenSets, markedGraph, simpleNet, stateMachine`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### GSPNNew

    public GSPNNew()

Method Detail

### run

    public void run(DataLayer pnmlData)

  Specified by:
    `run` in interface `Module`
  Overrides:
    `run` in class `Classification`

### averageTokens

    protected double[] averageTokens(double[] pi,
                                     StateList states)

  averageTokens() Determines the average number of tokens on each place at steady state.

  Parameters:
    `states` - The list of tangible states
  Returns:
    An array containing the average number of tokens on each place.

### renderAverages

    protected java.lang.String renderAverages(DataLayer pnmldata,
                                              double[] data)

  renderAverages() Turns the array containing the average number of tokens on a place into a table in the form of a long string with embedded HTML ready for display.

  Parameters:
    `pnmldata` -
    `data` -
  Returns:

### tokenDistribution

    protected double[][] tokenDistribution(double[] pi,
                                           StateList states)

  tokenDistribution() Calculates the steady state probability of there being n tokens at place p

  Parameters:
    `pi` -
    `states` -
  Returns:

### renderProbabilityDensity

    protected java.lang.String renderProbabilityDensity(Place[] places,
                                                        double[][] probabilities)

### getFastTransitionThroughput

    protected double[] getFastTransitionThroughput(DataLayer pnmldata,
                                                   StateList list,
                                                   double[] pi)

### getName

    public java.lang.String getName()

  Specified by:
    `getName` in interface `Module`
  Overrides:
    `getName` in class `Classification`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD